%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:                   puppet-barbican
Version:                11.4.0
Release:                2%{?dist}
Summary:                Puppet module for OpenStack Barbican
License:                ASL 2.0

URL:                    https://launchpad.net/puppet-barbican

Source0:                https://tarballs.openstack.org/%{name}/%{name}-%{version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=814a1af017a8e7b7eab20d43c582d538b42dea7f
Patch0001: 0001-Add-some-kombu-options.patch
Patch0002: 0002-Configure-dogtag_plugin_nss_password-as-secret.patch

BuildArch:              noarch

Requires:               puppet-inifile
Requires:               puppet-stdlib
Requires:               puppet-keystone
Requires:               puppet-openstacklib
Requires:               puppet-oslo
Requires:               puppet >= 2.7.0

%description
Puppet module which installs and configures OpenStack Barbican.

%prep
%setup -q -n openstack-barbican-%{upstream_version}

%patch0001 -p1
%patch0002 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/barbican/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/barbican/



%files
%{_datadir}/openstack-puppet/modules/barbican/


%changelog
* Fri May 25 2018 Steve Linabery <slinaber@redhat.com> 11.4.0-2
- Configure dogtag_plugin_nss_password as secret
- Add some kombu options

* Thu Feb 15 2018 Thierry Vignaud <tvignaud@redhat.com> 11.4.0-1
- Update to 11.4.0

* Mon Nov 13 2017 Jon Schlueter <jschluet@redhat.com> 11.3.0-2
- [pike] Add Puppet package to bindep, for module build
- Update Gemfile to pull spec_helper from stable/pike

* Fri Aug 25 2017 Alfredo Moralejo <amoralej@redhat.com> 11.3.0-1
- Update to 11.3.0



